TestNs\MyApp\CustomerCrmUpdateType:
    properties:
        customer:
            expose: true
            access_type: public_method
            serialized_name: customer
            accessor:
                getter: getCustomer
                setter: setCustomer
            type: TestNs\MyApp\CustomerType
        modification:
            expose: true
            access_type: public_method
            serialized_name: modification
            accessor:
                getter: getModification
                setter: setModification
            type: TestNs\MyApp\ModificationCustomerCrmUpdateOperationType
        synchronization:
            expose: true
            access_type: public_method
            serialized_name: synchronization
            accessor:
                getter: getSynchronization
                setter: setSynchronization
            type: TestNs\MyApp\SynchronizationCustomerCrmUpdateOperationType
